=== debian/changelog ===
gringo (5.1.0-5) unstable; urgency=medium

  * Bug fix: "FTBFS: libgringo/src/python.cc:348:46: error:
    &#39;*(Gringo::{anonymous}::Object (*)(Gringo::{anonymous}::Reference,
    Gringo::{anonymous}::Reference))Gringo::{anonymous}::createId&#39; is
    not a valid template argument for type
    &#39;Gringo::{anonymous}::Object
    (&amp;)(Gringo::{anonymous}::Reference,
    Gringo::{anonymous}::Reference)&#39;", thanks to Lucas Nussbaum
    (Closes: #871100).
    - debian/control: Build-Depends on g++-6
    - debian/rules: set CONFIGPARMS to CXX='g++-6'
  * debian/copyright: use https instead of http
  * debian/control: Bump Standards-Version to 4.0.1

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 17 Aug 2017 07:18:37 +0200

gringo (5.1.0-4) unstable; urgency=medium

  * fix FTBFS on alpha: do not define FPU_SWITCH_DOUBLE on alpha,
    _FPU_GETCW and friends are undefined on this arch

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 20 Dec 2016 05:10:36 +0100

gringo (5.1.0-3) unstable; urgency=medium

  * debian/rules: fix FTBFS on architectures that require -latomic

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 16 Dec 2016 08:13:33 +0100

gringo (5.1.0-2) unstable; urgency=medium

  * debian/rules: fix C++11 threads
    - link with libatomic on architectures that need it
    - disable threads and define BROKEN_STD_EXCEPTION_PTR on armel
  * gringo-broken-std-exception_ptr.patch: add support for armel

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 15 Dec 2016 06:49:16 +0100

gringo (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * debian/copyright: update copyright year and github source
  * debian/control
    - Build-Depends on g++ >= 4:6.1.1 replaces libtbb-dev
    - point Homepage to https://www.potassco.org
    - use https for Vcs-*
    - add Breaks clasp (<< 3.2.1-1)
  * debian/rules
    - build lpconvert
    - drop libtbb-dev and use c++11 multi-threading
    - disable threads on powerpc,powerpcspe,m68k,mips,mipsel,sh4
  * drop already applied upstream patches: gringo-include-math.patch,
    gringo-solve-multi.patch, gringo-translate-minmax.patch
  * gringo-fix-body-literals-as-auxiliary.patch: add upstream patch
    cherry-picked from d6cfb89df6bbf138ca3e259d71ca7050b322b5d5

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 11 Dec 2016 13:12:35 +0100

gringo (4.5.4-4) unstable; urgency=medium

  * Bug fix: "please make the build reproducible", thanks to
    Reiner Herrmann (Closes: #844096).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 07 Dec 2016 08:27:20 +0100

gringo (4.5.4-3) unstable; urgency=medium

  * Fix gringo-multi-solver.patch: this fixes an FTBFS on architectures
    that have WITH_THREAD=0, i.e., all architectures except amd64 and
    ppc64.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 02 May 2016 07:18:34 +0200

gringo (4.5.4-2) unstable; urgency=medium

  * Bug fix: "FTBFS: error: 'pow' is not a member of 'std'", thanks to
    Martin Michlmayr (Closes: #822383).
  * Add patch to fix random python multithreading segfaults (upstream bug 117)
  * Add patch to fix #min/#max translation bug (upstream bug 119)
  * Build with liblua5.3
  * Bump Standards-Version to 3.9.8

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 01 May 2016 08:47:29 +0200
