## gringo 5.2.1

=== debian/changelog ===
gringo (5.2.1-2) unstable; urgency=medium

  * Use pkgkde-symbolshelper to manage C++ symbols
  * debian/rules: use pkgkde_symbolshelper dh addon
  * debian/control: Build-Depends on pkg-kde-tools
  * debian/symbols: use pkgkde-symbolshelper to create C++ symbols

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 03 Nov 2017 06:42:20 +0100

gringo (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1
  * debian/TODO.Debian: list todo items
  * debian/copyright: gringo switched to MIT, and so does the packaging
  * debian/compat: bump debhelper compat level to 10
  * debian/control: use cmake instead of scons
    - force g++-7
    - bump Standards-Version to 4.1.1
    - fix Homepage URI
  * debian/patches: drop various upstream applied patches
    - gringo-alpha-fpu-getcw.patch
    - gringo-broken-std-exception_ptr.patch
    - gringo-fix-body-literals-as-auxiliary.patch
    - reproducible-build.patch
  * debian/install: add libclingo library
  * debian/gringo.links: add ldconfig symlinks for libclingo.so.1.0
  * debian/symbols: add libclingo.so.1 symbols
  * debian/rules: use cmake without rpath and force g++-7
  * Bug fix: "FTBFS: cat: build/release.log: No such file or directory",
    thanks to Lucas Nussbaum (Closes: #880287).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 01 Nov 2017 15:30:25 +0100
