=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: gringo
 Section: interpreters
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
-Build-Depends: debhelper (>= 9),
- g++-6 (>= 6.1.1),
- scons,
+Build-Depends: debhelper (>= 10),
+ dpkg-dev (>= 1.16.1~),
+ pkg-kde-tools,
+ g++-7 (>= 7.2.0),
+ cmake (>= 3.9.3),
  re2c,
  bison,
  liblua5.3-dev,
  libpython2.7-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gringo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gringo.git
-Homepage: https://www.potassco.org/clasp/
+Homepage: https://www.potassco.org/clingo/
 
 Package: gringo
 Architecture: any
